### File

`packages/core/src/lib/services/user/user.service.ts`

### Extends

`EuiService`

### Index

###### Methods
getSignal getState getState getState getState init updateState updateState updateState

### Constructor

`constructor()`

### Methods

getSignal
`getSignal()`
This method is used to get the signal of the service. Returns : `Signal<T>`

getState
`getState()`
Returns : `Observable<T>`

getState
this will be removed in a future version
`getState(mapFn?: (state?: T) => void)`
Type parameters : K
Parameters :
Name | Type | Optional
mapFn | `function` | Yes
Returns : `Observable<K>`

getState
`getState(key?: a)`
Type parameters : a
Parameters :
Name | Type | Optional
key | `a` | Yes
Returns : `Observable<DeepPartial<a>>`

getState
`getState(keyOrMapFn?: unknown | string)`
Type parameters : K
Parameters :
Name | Type | Optional
keyOrMapFn | `unknown | string` | Yes
Returns : `Observable<DeepPartial<K>>`

init
`init(state: T)`
Parameters :
Name | Type | Optional
state | `T` | No
Returns : `Observable<EuiServiceStatus>`

updateState
`updateState(state: DeepPartial)`
This method is used to update the state of the service with a new state. Parameters :
Name | Type | Optional
state | `DeepPartial<T>` | No
Returns : `void`

updateState
it will be removed in next version. Use updateState(partialState: DeepPartial) instead
`updateState(slice: DeepPartial, reducer: (state: T,action: DeepPartial) => void)`
Parameters :
Name | Type | Optional
slice | `DeepPartial<T>` | No
reducer | `function` | No
Returns : `void`

updateState
`updateState(state: DeepPartial, reducer?: (state?: T,action?: DeepPartial) => void)`
Type parameters : K
Parameters :
Name | Type | Optional
state | `DeepPartial<K>` | No
reducer | `function` | Yes
Returns : `void`

# results matching ""

# No results matching ""